Manual:インストール要件

This page is a translated version of the page Manual:Installation requirements and the translation is 92% complete.

MediaWiki ソフトウェア自身に加えて、以下が必要です:

加えて、特定の高度な機能(下記参照)を使いたい場合に必要なさまざまな省略可能な依存関係があります。

ご利用のウェブサイトが第三者によってホストされている場合、サーバの管理者、もしくはホスティングの企業に上記環境が利用できるかどうかを確認してください。

To run MediaWiki maintenance scripts, you will need command line access.

要求パッケージをまとめて導入する場合

Linux を使用している場合は、Web サーバー「Apache」、「PHP」、データベース サーバー「MariaDB」を、パッケージ マネージャーを使用してインストールすることをお勧めします。DebianUbuntu では、以下を実行してください:

sudo apt-get install php php-apcu php-intl php-mbstring php-xml php-mysql php-calendar mariadb-server apache2

ソフトウェア バンドル

他のオペレーティング システムでは、https://www.apachefriends.orgXAMPP のようなソフトウェア バンドルを使用すると、1 回のダウンロードで重要なパッケージ (Apache HTTP Server、PHP、MariaDB) をすべてインストール/設定できます。 XAMPP は Linux、Windows、Mac、Solaris で利用できます。 2021年1月 現在、XAMPP の最新版に含まれるのは PHP 8.0 です (MediaWiki は 7.3.19/7.4.3 以降を必要とします)。

あるいは、Apple のコンピューターをお持ちの場合は、MAMP を使用できます。これは XAMPP と同等です。 現在、MAMPにはApache WebサーバーとMySQLデータベースを実行する機能が含まれています。 WindowsとMacの両方で使用できますが、一般にWindowsではなくMacで使用されます。

ウェブサーバー

生成されたページをクライアント側のブラウザーに提供するために、MediaWikiには特定のウェブサーバーソフトウェアが必要です。 レンタル サーバーなど他者の運用するサーバを利用する場合、使うサーバー ソフトウェアが選択できない–ホスティング プロバイダーの提供するもののみ使用可能なことがあります。

MediaWiki is broadly compatible with all major web servers that can invoke a compatible version of PHP. ほとんどのインストレーションは、Apache HTTPD Webサーバーを使用しています。 nginx (configuration example) is a good choice as well.

PHP

PHP は MediaWiki が書かれているプログラミング言語で、ソフトウェアを動作させるために必要です。

  • 最新の安定バージョンの MediaWiki の動作には、PHP 7.3.19/7.4.3 以降が必要です。 詳細情報はページ 互換性 を参照してください。
MediaWiki は PHP 7.4.0 - 7.4.2 までと互換性がありません (上流のバグのため)。 代わりに PHP 7.4.3+ を使用してください。 詳細情報は タスク T246594 を参照してください。
If using PHP8 we recommend using MediaWiki 1.38.4+ or the upcoming MediaWiki 1.39.0+. PHP8 is not in use by Wikimedia wikis, and thus gets less testing, but other groups do use MediaWiki with PHP8 without issue. If you encounter any bugs when using MediaWiki with PHP8 please report them. 詳細情報は タスク T248925 を参照してください。
  • 次の拡張機能が必要です:
  • これらはすべて PHP で既定で有効となっている点に注意してください。
  • Debian/Ubuntu ベースのディストリビューションでは、MediaWiki に MySQL を使用させたい場合は、php-mysql パッケージが必要です。
  • MediaWikiの機能の中には、イメージサムネイルのような外部プロセスを実行するPHP関数が必要な場合があります。 共有ホストに MediaWiki をインストールする場合は、これを考慮してください。
  • MediaWiki の拡張機能には、追加の PHP 機能が必要な場合があります。VisualEditorlibcurl のサポートが必要です (Debian/Ubuntu ベースのディストリビューションでは php-curl)。

ソースからPHPをコンパイルする必要がある場合、MediaWiki に影響を与えるコンパイルオプションに関する PHPの設定 を参照してください。

データベース サーバー

MediaWiki は他のウェブベースのアプリケーション(phpBBなど)と共有できるデータベースですべてのテキストとデータ(記事、ユーザの詳細、システムのメッセージ、など。)を保存します。MediaWiki の最新バージョンは次のデータベースサーバをサポートします(それらの1つだけで選択する必要があります):

ウィキメディアは MariaDB を使用しているため、MariaDB または MySQL を使用することを推奨します。 他のデータベース サーバーは、あまりテストされていないため、バグに遭遇するおそれがあります。

  警告: MediaWiki 1.34 以降、Oracle および Microsoft SQL Server の使用に対応しなくなりました。 これらを使用しないことを強くお勧めします。

利用者によっては、phpMyAdmin (MySQL/MariaDB) または phpPgAdmin (PostgreSQL) といった、データベース サーバーを管理するための追加ソフトウェア パッケージをインストールすれば役に立つでしょう。 Some ホスティングサービス also provide such software.

ハードウェア要件

推奨の最小要件は、単独のコンピュータのウェブサイトにおいて 256MB の RAM に 85MB のストレージです。しかし混雑している公開サイトもしくはアップロードが有効になっているサイトでは十分ではありません。 何人かの利用者は、わずか 48MB の RAM で MediaWiki を動作させたことを報告してくれました。

インストールサイズは、開発者インストールの場合は約50Mb、開発者以外のエンドユーザーのインストールの場合は約26Mbに縮小できます。 Manual:Reduce size of the installation を参照してください。

省略可能な依存関係

関連項目